Summary: An X terminal locking program.
Name: xlockmore
Version: 4.13
Release: 2
Copyright: MIT
Group: Amusements/Graphics
Source0: ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/xlockmore-%{version}.tar.gz
Source1: m-redhat.xpm
Source2: m-redhat.xbm
Source3: s-redhat.xpm
Source4: s-redhat.xbm
Source5: xlock.pamd
Patch2: xlockmore-3.13-fortune.patch
Patch3: xlockmore-3.13-redhat.patch
Patch4: xlockmore-4.13-noship.patch
Requires: pam >= 0.59 /usr/games/fortune
Buildroot: /var/tmp/xlockmore-buildroot

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%prep
%setup -q
#%patch2 -p1 -b .fortune
#%patch3 -p1 -b .redhat
%patch4 -p1 -b .noship

cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/m-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/m-redhat.xbm
cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/l-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/l-redhat.xbm
cp $RPM_SOURCE_DIR/s-redhat.xpm pixmaps/s-redhat.xpm
cp $RPM_SOURCE_DIR/s-redhat.xbm bitmaps/s-redhat.xbm

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif --without-gtk --enable-pam
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 xapploaddir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 644 ${RPM_SOURCE_DIR}/xlock.pamd $RPM_BUILD_ROOT/etc/pam.d/xlock

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xlock <<EOF
xlock name "xlock"
xlock description "Screen Saver"
xlock group "Amusements/Screen Savers"
xlock exec "xlock -mode random &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/xlock
/usr/X11R6/bin/xlock
/usr/X11R6/man/man1/xlock.1
%config /usr/X11R6/lib/X11/app-defaults/XLock
%config /etc/X11/wmconfig/xlock

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure 

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

